<script>
	import Tailwindcss from './Tailwindcss.svelte';
	import firebase, { app, loggedIn$ } from '../Firebase';
	const user = loggedIn$;

	const signIn = () => {
    const authProvider = new firebase.auth.GoogleAuthProvider();
    app.auth().signInWithPopup(authProvider);
  };
  
  const signOut = async () => {
  	// console.log('signing out...');
   //  await firebase.auth().signOut();
   	await firebase.auth().signOut().then(function() {
  		console.log('logout success');// Sign-out successful.
		}).catch(function(error) {
		  // An error happened.
		  console.log(error);
		});
  };
  console.log(user.subscribe(res => console.log(res)));
</script>

<Tailwindcss />

<div>
	{#if $user}
		<h1>welcome! {$user.displayName}</h1>
		 <button className="myButton" on:click="{signOut}">
      4. Sign Out
    </button>
	{:else}
		<h2>suckah</h2>
		<button className="myButton" on:click="{signIn}">
    	1. Sign In
  	</button>
	{/if}
</div>